/***************************************X***************************************
*
*      Company                   :  CAP GEMINI
*      Service Line              :  Product Devlopment
*      Project                   :  FingerChip
*      Task                      :  
*
*      Soft name                 :  $RCSfile: trainingdlg.h,v $
*      Soft version              :  $Revision: 1.4 $
*      Last modified             :  $Date: 2003/11/03 14:50:58 $
*
*      Description               :  
*
*      Authors                   :  Thomasson Nicolas
*
*      Platform                  :  PC
*      System                    :  Win 9X,NT,2K
*
*      Operating System          :  Windows
*      Date of creation          :  01/30/2001
*
*      Prefix                    :
*      Code size (.o) (KB)       :
*
*      References				 :
*
*      History                   :
*         02/07/2001 THM		 : Modification
*
*         04/26/2001 THM         : Added OnDestroy message handler to prevent
*                                  ESC bug.
*
*     Copyright (c) 
*     All rights reserved
*
******************************************************************************/

// This is the main dialog  of the application 

#if !defined(AFX_TRAININGDLG_H__74B9AC25_303F_4608_A0D1_0C914FE185B5__INCLUDED_)
#define AFX_TRAININGDLG_H__74B9AC25_303F_4608_A0D1_0C914FE185B5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//FingerChip DLL function definition
//Compilator know where to find this file because we add /I..\include option 
//on the command line
//For MSDev see Tools/Options/Directory/Includes File -> ..\..\include
#include "FCGetImage.h"

#include "AboutDlg.h"

#define  XImage 400		// size of the required image
#define  YImage 500

#define UPDATE_IMAGE 0xF0F0	
#define HOT_DETACH 0xF1F1	
#define HOT_ATTACH 0xF2F2	
//#define GENERATE_DEBUG_FILE	//Uncomment to generate debug file

// Class CTrainingDlg
class CTrainingDlg : public CDialog
{
// Construction
public:

	CTrainingDlg(CWnd* pParent = NULL);	// standard constructor	

private:
	CAboutDlg DlgAbout;					//The about dialog box
	t_FC_ImageInfo	imageInfo;	
	BOOL killAcquisitionThread;

// Dialog Data
	//{{AFX_DATA(CTrainingDlg)
	enum { IDD = IDD_DLG_TRAINING };
	CStatic	m_StBandwidthCtrl;
	CStatic	m_finger;
	CString	m_StInfoValue;
	CString	m_StStatusValue;
	CString	m_StBandwidthValue;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTrainingDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support	
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
	void CreateGrayLevelPal(unsigned char *pal);
	static UINT	Threading(LPVOID p);	//Original Thread function
	void Threading();					//Main thread loop
	void NewImage(short error);			//Display the new acquired images
	unsigned char *pBitmap;	//Pointer to a bitmap structure
	unsigned char *pImage;	//Pointer to the image data of the bmp structure
	HANDLE hMutex;			//use to stop the acquisition thread
	HANDLE hEvent;			//use to synchronize acquisition thread
							//with display thread

protected:
	
	// Generated message map functions
	//{{AFX_MSG(CTrainingDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnClose();
	afx_msg void OnFileQuit();
	afx_msg void OnHelpAbout();
	afx_msg void OnHelpContent();
	afx_msg void OnDestroy();
	afx_msg void OnReadme();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRAININGDLG_H__74B9AC25_303F_4608_A0D1_0C914FE185B5__INCLUDED_)

