/***************************************X*************************************** 
*
*      Company                   :  CAP GEMINI
*      Service Line              :  Product Devlopment
*      Project                   :  FingerChip
*      Task                      :  
*
*      Soft name                 :  $RCSfile: Help.cpp,v $
*      Soft version              :  $Revision: 1.2 $
*      Last modified             :  $Date: 2003/08/05 13:28:44 $
*
*      Description               :  Provide function to load the help file
*
*      Authors                   :  Mickal Dauvergne
*
*      Platform                  :  PC
*      System                    :  Win 9X,NT,2K
*
*      Operating System          :  Windows
*      Date of creation          :  04/05/2001
*
*      Prefix                    :
*      Code size (.o) (KB)       :
*
*      References				 :
*
*      History                   :
*    04/08/2003 AC				 : moved FC_Error to SDK/include
*
*     Copyright (c) 
*     All rights reserved
*
******************************************************************************/
#include <afx.h>
#include <shellapi.h>

#include "../include/help.h"
#include "FC_Error.h"


/******************************************************************************
*
* LoadHelpFile
*
* Prototype		:	int LoadHelpFile(char * applicationName)
*
* Description	:	Load the help file
*
* In			:	applicationName : Application which calls this function
*
* PreCond		:	None
*
* Out			:	FC_OK
*					FC_ERROR
*
* PostCond		:	None
*
* Remarks		:	None
*
******************************************************************************/
int LoadHelpFile(char * applicationName)
{
	//Handle to the current application
	HWND handle; 
	char  fulldir [_MAX_PATH];	// full path filename
	char  drive   [_MAX_DRIVE];	// drive
	char  dir     [_MAX_DIR];	// directory
	char  fname   [_MAX_FNAME];	// filename
	char  ext     [_MAX_EXT];	// extension
	char  pHelp [_MAX_PATH];	// full path filename
	char *iniParfile;			// bof
	int i;
	int j;

	handle=NULL;
	i=0;
	j=2;

	// locates the current directory
	SearchPath( NULL, applicationName, NULL, _MAX_PATH, fulldir, &iniParfile);
	_splitpath( fulldir, drive, dir, fname, ext );
	
	// transform current directory into Help directory
	sprintf(pHelp,"%s%s"HELP_FILE,drive,dir);

	//Open the file
	return 
	 (int)ShellExecute(handle, "open", pHelp, NULL, NULL, SW_SHOWNORMAL)<33 ?
		FC_ERROR:FC_OK;

}


/******************************************************************************
*
* LoadReadmeFile
*
* Prototype		:	int LoadReadmeFile(char * applicationName)
*
* Description	:	Load the readme file
*
* In			:	applicationName : Application which calls this function
*
* PreCond		:	None
*
* Out			:	FC_OK
*					FC_ERROR
*
* PostCond		:	None
*
* Remarks		:	None
*
******************************************************************************/
int LoadReadmeFile(char * applicationName)
{
	//Handle to the current application
	HWND handle; 
	char  fulldir [_MAX_PATH];	// full path filename
	char  drive   [_MAX_DRIVE];	// drive
	char  dir     [_MAX_DIR];	// directory
	char  fname   [_MAX_FNAME];	// filename
	char  ext     [_MAX_EXT];	// extension
	char  pHelp [_MAX_PATH];	// full path filename
	char *iniParfile;			// bof
	int i;
	int j;

	handle=NULL;
	i=0;
	j=2;

	// locates the current directory
	SearchPath( NULL, applicationName, NULL, _MAX_PATH, fulldir, &iniParfile);
	_splitpath( fulldir, drive, dir, fname, ext );
	
	// transform current directory into Help directory
	sprintf(pHelp,"%s%s"README_FILE,drive,dir);

	//Open the file
	return 
	 (int)ShellExecute(handle, "open", pHelp, NULL, NULL, SW_SHOWNORMAL)<33 ?
		FC_ERROR:FC_OK;

}



/******************************************************************************
*
* LogMessage
*
* Prototype		:	int LogMessage(char msg[])
*
* Description	:	Display the current message in debug window
*
* In			:	msg : current message
*
* PreCond		:	None
*
* Out			:	FC_OK
*					FC_ERROR
*
* PostCond		:	None
*
* Remarks		:	None
*
******************************************************************************/
void LogMessage(char msg[])
{ 
	#ifdef _DEBUG
		OutputDebugString( msg ) ;
	#endif
}
